Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 636232 (CVE-2016-1866) - <app-admin/salt-2015.8.4: Remote code execution vulnerability
Summary: <app-admin/salt-2015.8.4: Remote code execution vulnerability
Status: RESOLVED FIXED
Alias: CVE-2016-1866
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Gentoo Security
URL: https://docs.saltstack.com/en/latest/...
Whiteboard: ~2 [noglsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-02 01:05 UTC by GLSAMaker/CVETool Bot
Modified: 2018-01-25 01:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2017-11-02 01:05:24 UTC
CVE-2016-1866 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1866):
  Salt 2015.8.x before 2015.8.4 does not properly handle clear messages on the
  minion, which allows man-in-the-middle attackers to execute arbitrary code
  by inserting packets into the minion-master data stream.
Comment 1 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-11-02 01:06:33 UTC
@Maintainers 2015.5.10 seems to be vulnerable, if that's the case, please remove it from tree.

Thank you
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-01-05 14:11:51 UTC
no stable versions at all.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-01-25 01:27:19 UTC
Tree is clean